org.jbpm.process.instance.command

## Class MigrateProcessInstanceCommand

- java.lang.Object
- - org.jbpm.process.instance.command.MigrateProcessInstanceCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<Void>, org.kie.api.command.Command<Void>, org.kie.internal.command.ProcessInstanceIdCommand

      public class MigrateProcessInstanceCommand
      extends Object
      implements org.drools.core.command.impl.GenericCommand<Void>, org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrateProcessInstanceCommand(Long processInstanceId, String processId)`
    `MigrateProcessInstanceCommand(Long processInstanceId, String processId, Map<String,Long> nodeMapping)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.internal.command.Context context)`
    `Map<String,Long>` | `getNodeMapping()`
    `String` | `getProcessId()`
    `Long` | `getProcessInstanceId()`
    `void` | `setNodeMapping(Map<String,Long> nodeMapping)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrateProcessInstanceCommand

          public MigrateProcessInstanceCommand(Long processInstanceId,
                                       String processId)

    - #### MigrateProcessInstanceCommand

          public MigrateProcessInstanceCommand(Long processInstanceId,
                                       String processId,
                                       Map<String,Long> nodeMapping)

  - ### Method Detail

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getProcessId

          public String getProcessId()

    - #### setProcessId

          public void setProcessId(String processId)

    - #### getNodeMapping

          public Map<String,Long> getNodeMapping()

    - #### setNodeMapping

          public void setNodeMapping(Map<String,Long> nodeMapping)

    - #### execute

          public Void execute(org.kie.internal.command.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.GenericCommand<Void>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.